Page MenuHomePhabricator

nodemap: use an explicit "Block" object in the reference implementation
ClosedPublic

Authored by marmoute on Jan 13 2020, 10:07 AM.

Details

Summary

This will help us to introduce some test around the data currently written on
disk.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Jan 13 2020, 10:07 AM
marmoute updated this revision to Diff 19296.Jan 15 2020, 9:54 AM
marmoute updated this revision to Diff 19758.Jan 31 2020, 10:28 AM
marmoute updated this revision to Diff 19787.Jan 31 2020, 5:58 PM
marmoute updated this revision to Diff 19831.Feb 2 2020, 3:18 AM

small doc update on .#s[1]

marmoute updated this revision to Diff 19890.Feb 4 2020, 7:24 PM

rebase to latest default

durin42 added inline comments.
mercurial/revlogutils/nodemap.py
224

nit: you could have omitted this superfluous pass statement

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.